> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取指定话题的详情数据

> 获取指定话题的详情数据

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">每次请求</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 让 AI 帮你写调用代码</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">点击按钮复制一段结构化提示词，可直接交给 ChatGPT、Claude 或其他 AI 助手生成接口调用代码。</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`我需要调用以下 KeyAPI 接口，请根据提供的接口信息生成一份可直接运行的 Python 示例代码。

## 接口信息

Endpoint: GET https://api.keyapi.ai/v1/douyin/app/fetch_hashtag_detail
Summary: 获取指定话题的详情数据

Required Headers:
- Authorization: Bearer <YOUR_API_KEY>

Parameters:
- ch_id (Required): 话题id. Example: 1575791821492238


## 代码要求

- 使用 Python \`requests\` 库
- 提供完整、可直接运行的示例
- 处理 HTTP 请求异常、超时以及非 2xx 响应
- 处理 JSON 解析异常
- 示例参数优先使用接口信息中提供的 Example
- 保持代码简洁，避免不必要的封装和复杂设计
`)}
    >
      ✨ 复制给 AI
    </button>
  </div>
</div>


## OpenAPI

````yaml zh/douyin-app.zh.openapi.json GET /v1/douyin/app/fetch_hashtag_detail
openapi: 3.0.1
info:
  title: Douyin App API 中文文档
  description: Douyin App API 的中文参考文档。
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/douyin/app/fetch_hashtag_detail:
    get:
      tags: []
      summary: 获取指定话题的详情数据
      description: 获取指定话题的详情数据
      parameters:
        - name: ch_id
          in: query
          description: 话题id
          required: true
          example: 1575791821492238
          schema:
            type: integer
            example: 1575791821492238
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  ch_info:
                    allow_upload_cover: true
                    author:
                      accept_private_policy: false
                      account_region: ''
                      ad_cover_url: null
                      allow_story_normal_like: false
                      apple_account: 0
                      authority_status: 0
                      avatar_168x168:
                        height: 720
                        uri: >-
                          168x168/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4
                        url_list:
                          - >-
                            https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4~c5_168x168.webp?from=273881474
                          - >-
                            https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4~c5_168x168.jpeg?from=273881474
                        width: 720
                      avatar_300x300:
                        height: 720
                        uri: >-
                          300x300/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4
                        url_list:
                          - >-
                            https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4~c5_300x300.webp?from=273881474
                          - >-
                            https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4~c5_300x300.jpeg?from=273881474
                        width: 720
                      avatar_larger:
                        height: 720
                        uri: >-
                          1080x1080/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4
                        url_list:
                          - >-
                            https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4.webp?from=273881474
                          - >-
                            https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4.jpeg?from=273881474
                        width: 720
                      avatar_medium:
                        height: 720
                        uri: >-
                          720x720/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4
                        url_list:
                          - >-
                            https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4.webp?from=273881474
                          - >-
                            https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4.jpeg?from=273881474
                        width: 720
                      avatar_schema_list: null
                      avatar_thumb:
                        height: 720
                        uri: >-
                          100x100/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4
                        url_list:
                          - >-
                            https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4.webp?from=273881474
                          - >-
                            https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4.jpeg?from=273881474
                        width: 720
                      avatar_uri: >-
                        aweme-avatar/tos-cn-avt-0015_e92dd08ff04ba878a6104672877eece4
                      aweme_control:
                        can_comment: true
                        can_forward: true
                        can_share: true
                        can_show_comment: true
                      aweme_count: 0
                      aweme_hotsoon_auth: 1
                      awemehts_greet_info: ''
                      ban_user_functions: []
                      batch_unfollow_contain_tabs: null
                      batch_unfollow_relation_desc: null
                      bind_phone: ''
                      birthday: ''
                      can_set_geofencing: null
                      card_entries: null
                      card_entries_not_display: null
                      card_sort_priority: null
                      cf_list: null
                      cha_list: null
                      close_friend_type: 0
                      comment_filter_status: 0
                      comment_setting: 0
                      commerce_user_level: 0
                      constellation: 10
                      contacts_status: 1
                      contrail_list: null
                      cover_url:
                        - height: 720
                          uri: c8510002be9a3a61aad2
                          url_list:
                            - >-
                              https://p3-sign.douyinpic.com/obj/c8510002be9a3a61aad2?lk3s=10531982&x-expires=1788404400&x-signature=W0Qz%2Fj0450szrC5EUsoRzvcEKT8%3D&from=273881474
                          width: 720
                      create_time: 0
                      creator_tag_list: null
                      custom_verify: ''
                      cv_level: ''
                      data_label_list: null
                      disable_image_comment_saved: 0
                      display_info: null
                      download_prompt_ts: 0
                      download_setting: -1
                      duet_setting: 0
                      enable_nearby_visible: true
                      endorsement_info_list: null
                      enterprise_verify_reason: ''
                      familiar_confidence: 0
                      familiar_visitor_user: null
                      favoriting_count: 0
                      fb_expire_time: 0
                      follow_status: 0
                      follower_count: 0
                      follower_list_secondary_information_struct: null
                      follower_request_status: 0
                      follower_status: 0
                      followers_detail: null
                      following_count: 0
                      gender: 0
                      geofencing: []
                      google_account: ''
                      has_email: false
                      has_facebook_token: false
                      has_insights: false
                      has_orders: false
                      has_twitter_token: false
                      has_unread_story: false
                      has_youtube_token: false
                      hide_location: false
                      hide_search: true
                      homepage_bottom_toast: null
                      house_talent_info: 0
                      identity_labels: null
                      im_role_ids: null
                      ins_id: ''
                      interest_tags: null
                      is_ad_fake: false
                      is_ban: false
                      is_binded_weibo: false
                      is_block: false
                      is_blocked_v2: false
                      is_blocking_v2: false
                      is_cf: 0
                      is_discipline_member: false
                      is_gov_media_vip: false
                      is_mix_user: false
                      is_not_show: false
                      is_phone_binded: false
                      is_star: false
                      is_verified: true
                      item_list: null
                      ky_only_predict: 0
                      language: zh-Hans
                      link_item_list: null
                      live_agreement: 0
                      live_agreement_time: 0
                      live_commerce: false
                      live_high_value: 0
                      live_status: 0
                      live_verify: 0
                      location: ''
                      mate_add_permission: 0
                      mate_count: 0
                      mate_relation:
                        mate_apply_forward: 0
                        mate_apply_reverse: 0
                        mate_status: 0
                      max_follower_count: 0
                      need_points: null
                      need_recommend: 0
                      neiguang_shield: 0
                      new_story_cover: null
                      nickname: 💄💅🍔能量疗愈 Jasmine
                      not_seen_item_id_list: null
                      not_seen_item_id_list_v2: null
                      offline_info_list: null
                      personal_tag_list: null
                      platform_sync_info: null
                      prevent_download: false
                      private_relation_list: null
                      profile_component_disabled: null
                      profile_mob_params: null
                      react_setting: 0
                      reflow_page_gid: 0
                      reflow_page_uid: 0
                      region: CN
                      relative_users: null
                      risk_notice_text: ''
                      room_id: 0
                      room_id_str: '0'
                      school_category: 0
                      school_id: ''
                      school_name: ''
                      school_poi_id: ''
                      school_type: 0
                      search_impr:
                        entity_id: '64833494191'
                      sec_uid: MS4wLjABAAAA84VF3OB4XOGTJVyxAlo_DZl4WorpmfKY4975hVR_G2w
                      secret: 0
                      shield_comment_notice: 0
                      shield_digg_notice: 0
                      shield_follow_notice: 0
                      short_id: '53072853'
                      show_image_bubble: false
                      show_nearby_active: false
                      signature: |-
                        4年英语日语口语翻译，14年💄师，2年💅，热爱美好事物+美食
                        绘画功底20年+断断续续
                        各种能量心灵疗愈学习中（音疗，舞蹈，健身）
                        目前🇹🇭芭提雅，曾居住🇨🇦+🇯🇵 🇨🇳人
                      signature_display_lines: 5
                      signature_extra: null
                      social_real_relation_type: 0
                      special_follow_status: 0
                      special_lock: 0
                      special_people_labels: null
                      status: 1
                      stitch_setting: 0
                      story_count: 0
                      story_open: false
                      sync_to_toutiao: 0
                      text_extra: null
                      total_favorited: 0
                      tw_expire_time: 0
                      twitter_id: ''
                      twitter_name: ''
                      type_label: null
                      uid: '64833494191'
                      unique_id: libeite
                      unique_id_modify_time: 1787197432
                      user_age: 126
                      user_canceled: false
                      user_mode: 0
                      user_not_see: 0
                      user_not_show: 1
                      user_period: 0
                      user_permissions: null
                      user_rate: 1
                      user_tags: null
                      verification_permission_ids: null
                      verification_type: 1
                      verify_info: ''
                      video_icon:
                        height: 720
                        uri: ''
                        url_list: []
                        width: 720
                      weibo_name: ''
                      weibo_schema: ''
                      weibo_url: ''
                      weibo_verify: ''
                      white_cover_url: null
                      with_commerce_entry: false
                      with_dou_entry: false
                      with_fusion_shop_entry: false
                      with_shop_entry: false
                      youtube_channel_id: ''
                      youtube_channel_title: ''
                      youtube_expire_time: 0
                    banner_list: null
                    billboard_name: ''
                    billboard_rank: 0
                    billboard_type: 0
                    billboard_url: ''
                    cha_attrs: null
                    cha_name: 深海
                    challenge_status: 1
                    cid: '1575791821492238'
                    collect_stat: 0
                    connect_music: []
                    create_time: 1502792188
                    desc: ''
                    extra_attr:
                      is_live: false
                      sort_available: true
                    from_ugc_hashtag_bank: '0'
                    hashtag_profile: >-
                      https://p5-sign.douyinpic.com/obj/image-cut-tos/0b9709c28ea74bbe597878936c9f0993.jpg?lk3s=21e102be&x-expires=1787238000&x-signature=RGX1DuhKm%2BfQGqL97BGXWodgegw%3D&from=568394430&s=PackSourceEnum_CHALLENGE_AWEME&se=false&sc=cover&biz_tag=aweme_challenge&l=20260820114352CD66356C7DE3A6DD5E9F
                    insert_template_category_list: null
                    is_challenge: 0
                    is_commerce: false
                    is_pgcshow: false
                    is_strong_music: false
                    link_action: ''
                    link_text: ''
                    link_type: 1
                    schema: aweme://aweme/challenge/detail?cid=1575791821492238
                    search_impr:
                      entity_id: '1575791821492238'
                    share_info:
                      bool_persist: 0
                      share_desc: 在抖音，记录美好生活
                      share_desc_info: '我在抖音参与话题讨论#深海 '
                      share_quote: ''
                      share_signature_desc: ''
                      share_signature_url: ''
                      share_title: '我在抖音参与话题讨论#深海 '
                      share_title_myself: ''
                      share_title_other: ''
                      share_url: >-
                        https://www.iesdouyin.com/share/challenge/1575791821492238/?u_code=0&from_ssr=1
                      share_weibo_desc: '我在抖音参与话题讨论#深海 '
                    show_items: null
                    sub_type: 0
                    type: 1
                    update_time: 1785844594
                    user_count: 214614
                    view_count: 5173027795
                  dynamic_list: null
                  extra:
                    fatal_item_ids: []
                    logid: 20260820114352CD66356C7DE3A6DD5E9F
                    now: 1787197432000
                  log_pb:
                    impr_id: 20260820114352CD66356C7DE3A6DD5E9F
                  rec_list: null
                  shoot_mob_extras: {}
                  slide_list: null
                  status_code: 0
                requestId: 2c59c78f-a0fc-4adc-8201-d801a05b8412
          headers: {}
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '402':
          $ref: '#/components/responses/402'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/douyin/app/fetch_hashtag_detail?ch_id=1575791821492238' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/douyin/app/fetch_hashtag_detail',
                params={"ch_id": 1575791821492238},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"ch_id": 1575791821492238});


            const response = await
            fetch(`https://api.keyapi.ai/v1/douyin/app/fetch_hashtag_detail?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            example:
              code: 400
              data: null
              message: 'Missing required parameter: handle'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            example:
              code: 401
              data: null
              message: apiKey is null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            type: object
            example:
              code: 402
              data: null
              message: apiKey quota is not enough
    '429':
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            example:
              code: 429
              data: null
              message: qps limit exceeded
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            example:
              code: 500
              data: null
              message: Internal server error
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        接口鉴权凭证。请在请求 Header 中传入 `Authorization: Bearer <YOUR_API_KEY>`。
        可在 [Dashboard](https://keyapi.ai/app/dashboard) 获取你的 API Key。

````